import request from '@/utils/request';

export function getMerchantRooms(params: any) {
  return request.get('/api/merchant/rooms', { params });
}

export function getMerchantRoom(id: number) {
  return request.get(`/api/merchant/rooms/${id}`);
}

export function createRoom(data: any) {
  return request.post('/api/merchant/rooms', data);
}

export function updateRoom(id: number, data: any) {
  return request.put(`/api/merchant/rooms/${id}`, data);
}

export function removeRoom(id: number) {
  return request.delete(`/api/merchant/rooms/${id}`);
}
